stages:
  - build-test
  - test-baseline

test-abstract-cli:
  stage: build-test
  image: python:3.7-stretch

  script:
    - python3 -m pip install pycodestyle
    - python3 -m pycodestyle --filename=*.py diva_evaluation_cli/bin/ test/
    - python3 -m pip install -r ./requirements.txt
    - python3 -m pip install -e .
    - actev -h
    - python3 -m unittest discover -s test/

test-baseline:
  stage: test-baseline
  image: python:3.7-stretch

  script:
    - python3 -m pip install -r ./requirements.txt
    - python3 -m pip install -e .
    - actev -h
    - actev validate-system
  only:
    - /^baseline/
